Uploaded image for project: 'GENIVI Development Platform'
  1. GENIVI Development Platform
  2. GDP-30

Update the HMI to the new LayerManagement API

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Done
    • Priority: Low
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: GDP-ivi9
    • Component/s: None
    • Labels:

      Description

      i.e. when we go to weston 1.9 and wayland-ivi-extension 1.5.0, the HMI will break.
      The known work is trivial (configure weston to use the ivi-input-controller, use the new ilmInput methods), but there are some unknown complications when it comes to the QtWayland apps, since they don't use the LayerManagement API, but may be broken by weston API changes.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                toscalix Agustin Benito Bethencourt [X] (Inactive)
                Reporter:
                jonathanmaw Jonathan Maw [X] (Inactive)
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: